Bug 184299 - Update port: www/py-dtflickr Add STAGE suport
Summary: Update port: www/py-dtflickr Add STAGE suport
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-26 04:40 UTC by Douglas Thrift
Modified: 2013-11-27 17:20 UTC (History)
1 user (show)

See Also:


Attachments
py-dtflickr.2013-11-25T073142Z.diff (2.06 KB, patch)
2013-11-26 04:40 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-11-26 04:40:00 UTC
Add STAGE and PYDIST_AUTOPLIST support to www/py-dtflickr.

https://redports.org/buildarchive/20131125071414-73130/
Comment 1 Edwin Groothuis freebsd_committer 2013-11-26 04:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-11-27 17:12:11 UTC
Author: sunpoet
Date: Wed Nov 27 17:12:03 2013
New Revision: 335037
URL: http://svnweb.freebsd.org/changeset/ports/335037

Log:
  - Use PYDISTUTILS_AUTOPLIST
  - Support STAGEDIR
  - While I'm here, update USE_PYTHON
  
  PR:		ports/184299
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Deleted:
  head/www/py-dtflickr/pkg-plist
Modified:
  head/www/py-dtflickr/Makefile   (contents, props changed)

Modified: head/www/py-dtflickr/Makefile
==============================================================================
--- head/www/py-dtflickr/Makefile	Wed Nov 27 17:10:28 2013	(r335036)
+++ head/www/py-dtflickr/Makefile	Wed Nov 27 17:12:03 2013	(r335037)
@@ -15,10 +15,10 @@ COMMENT=	Spiffy Flickr API library using
 LICENSE=	AL2
 
 USE_BZIP2=	yes
-USE_PYTHON=	2.5+
+USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 .if ${PYTHON_VERSION} == "python2.5"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-11-27 17:12:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!